package xyz.etztech.core.maven;

import java.lang.annotation.*;

/**
 * Allows a plugin to declare dependencies to download at runtime, meaning no more shaded jars!
 */
@Documented
@Repeatable(MavenLibraries.class)
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
public @interface MavenLibrary {
    String group();
    String artifact();
    String version();
    String repository() default MavenLoader.MAVEN_REPOSITORY;

}
