package xyz.etztech.core.command;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class TickDurationTest {
    @Test
    void parse() {
        try {
            TickDuration tickDuration = TickDuration.parse("1s");
            assertEquals(20, tickDuration.toTicks());

            tickDuration = TickDuration.parse("1m");
            assertEquals(20*60, tickDuration.toTicks());

            tickDuration = TickDuration.parse("1h");
            assertEquals(20*60*60, tickDuration.toTicks());

            tickDuration = TickDuration.parse("5h1m30s");
            assertEquals(20*60*60*5 + 60*20 + 30*20, tickDuration.toTicks());
        }
        catch (Exception e) {
            fail("Unable to parse time string");
        }

        try {
            TickDuration tickDuration = TickDuration.parse("not a time");
            fail();
        }
        catch (Exception e) {

        }
    }
}